a = float(input("请输入第一条线的长度："))
b = float(input("请输入第二条线的长度："))
c = float(input ("请输入第三条线的长度："))
if a+b>c and a+c>b and b+c>a:
    if a == b and b == c:
        print('等边三角形')
    elif a == b or b == c or a == c:
        print('等腰三角形')
    else:
       print('普通三角形')
else:
    print('不能构成三角形')
